Class UmlActivityObject

Declaration :

- C++ : class UmlActivityObject : public UmlBaseActivityObject
- Java : class UmlActivityObject extends UmlBaseActivityObject

Directly inherited by : UmlBaseExpansionNode UmlBasePinParameter

Artifact : UmlActivityObject

Operation UmlActivityObject

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlActivityObject(in id : item_id, in s : string) :
- C++ : public: UmlActivityObject(void * id, const QCString & s) : UmlBaseActivityObject(id, s)
- Java : public UmlActivityObject(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppSelection , create , defined_ , deleteIt , description , getIdentifier , identifier_ , inState , isControlType , isMarked , isToolRunning , isWritable , javaSelection , kind , kind , markedItems , moveAfter , multiplicity , name , ordering , parent , properties , propertyValue , referencedBy , selection , set_AssociatedDiagram , set_childrenVisible , set_CppSelection , set_Description , set_InState , set_IsControlType , set_isMarked , set_JavaSelection , set_Multiplicity , set_Name , set_Ordering , set_PropertyValue , set_Selection , set_Stereotype , set_Type , stereotype , supportFile , type , unload , unload